import { Construct } from 'constructs';
import { ApiObject } from './api-object';
/**
 * @experimental
 */
export interface IncludeProps {
    /**
     * (experimental) Local file path or URL which includes a Kubernetes YAML manifest.
     *
     * @experimental
     * @example
     *
     * mymanifest.yaml
     */
    readonly url: string;
}
/**
 * (experimental) Reads a YAML manifest from a file or a URL and defines all resources as API objects within the defined scope.
 *
 * The names (`metadata.name`) of imported resources will be preserved as-is
 * from the manifest.
 *
 * @experimental
 */
export declare class Include extends Construct {
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, props: IncludeProps);
    /**
     * (experimental) Returns all the included API objects.
     *
     * @experimental
     */
    get apiObjects(): ApiObject[];
}
